<button *ngIf="c.partyStarted" mat-button (click)="c.abandonParty()">
	<mat-icon>group</mat-icon>
	{{ "party.abandon" | translate }}
</button>
<div *ngIf="!c.partyStarted">
	<div *ngIf="!c.isSolved()">
		<button mat-button (click)="c.solveNext()">
			<mat-icon>help</mat-icon>
			{{ "solveNext" | translate }}
		</button>
		<button mat-button (click)="c.solveAll()">
			<mat-icon>help_outline</mat-icon>
			{{ "solveAll" | translate }}
		</button>
		<hr />
	</div>

	<button mat-button [matMenuTriggerFor]="newGameMenu">
		<mat-icon>fiber_new</mat-icon>
		{{ "newGame" | translate }}
	</button>
	<mat-menu #newGameMenu="matMenu">
		<button mat-menu-item (click)="c.newGame('easy')">
			<mat-icon>trending_down</mat-icon>
			{{ "level.easy" | translate }}
		</button>
		<button mat-menu-item (click)="c.newGame('medium')">
			<mat-icon>trending_flat</mat-icon>
			{{ "level.medium" | translate }}
		</button>
		<button mat-menu-item (click)="c.newGame('difficult')">
			<mat-icon>trending_up</mat-icon>
			{{ "level.difficult" | translate }}
		</button>
	</mat-menu>

	<button mat-button (click)="c.joinParty()">
		<mat-icon>group</mat-icon>
		{{ "party" | translate }}
	</button>

	<button mat-button (click)="c.ownGame()">
		<mat-icon>person_pin</mat-icon>
		{{ "ownGame" | translate }}
	</button>
</div>
<hr />

<button mat-button [matMenuTriggerFor]="themeMenu">
	<mat-icon>visibility</mat-icon>
	{{ "theme" | translate }}
</button>
<mat-menu #themeMenu="matMenu">
	<mat-grid-list cols="2">
		<mat-grid-tile
			*ngFor="let t of c.themes"
			(click)="c.setTheme(t.name)"
			matTooltip="{{ 'theme.' + t.name | translate }}"
			[style.background-color]="t.backgroundColor"
		>
			<button mat-button>
				<mat-icon
					*ngIf="t.name === c.currentTheme"
					[style.color]="t.primaryColor"
					>check_circle</mat-icon
				>
				<mat-icon
					*ngIf="t.name !== c.currentTheme"
					[style.color]="t.primaryColor"
					>fiber_manual_record</mat-icon
				>
				<mat-icon
					*ngIf="t.name === c.currentTheme"
					[style.color]="t.accentColor"
					>check_circle</mat-icon
				>
				<mat-icon
					*ngIf="t.name !== c.currentTheme"
					[style.color]="t.accentColor"
					>fiber_manual_record</mat-icon
				>
			</button>
		</mat-grid-tile>
	</mat-grid-list>
</mat-menu>

<button
	mat-button
	*ngIf="c.userInfo; let userInfo; else: unauthenticated"
	(click)="c.logout()"
	matTooltip="{{ userInfo.displayName }}"
>
	<mat-icon>clear</mat-icon>
	{{ "logout" | translate }}
</button>
<ng-template #unauthenticated>
	<button mat-button (click)="c.login()">
		<mat-icon>exit_to_app</mat-icon>
		{{ "login" | translate }}
	</button>
</ng-template>
<hr />

<button mat-button (click)="c.share()">
	<mat-icon>share</mat-icon>
	{{ "share" | translate }}
</button>

<button mat-button (click)="c.about()">
	<mat-icon>info</mat-icon>
	{{ "about" | translate }}
</button>
